Subject: Re: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Juri Linkov <[email-masked]>
Date: Sat, 17 Nov 2018 22:54:53 +0200

>>> I see:
>>>  foreground:green1
>>>  background:white (which I guess is a received setting from somewhere else)
>>>
>>> For me, this is a very difficult combo to see.
>>
>> I see the same - it is difficult to read.
>
> I don’t have red color blindness but suspect `Hi Red B’ would be
> difficult for a percentage of people.

Yes, the current shade of red is too glaring.

>>> I’d like to suggest the default to be for `Hi Green B':
>>>
>>>  foreground:darkcyan
>>
>> But darkcyan is not green.  Maybe better to create a new face `Hi Cyan B'
>> for darkcyan, and use darkgreen for `Hi Green B'?
>
> The ROYGBIV mnemonic for the colors of the rainbow could be a theme
> for the list to cycle through in `Hi Lock Faces’.

Good idea.  A rainbow for background colors and a rainbow for foreground
colors, totally 14 colors, twice more colors instead of current 4 background
and 3 foreground colors.

> Darkgreen is an improvement on green1 for `Hi Green B’.